The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

WHM - MySQL upgrade from 5.5 to 5.6

Discussion in 'Database Discussions' started by matorodriguez, May 21, 2014.

  1. matorodriguez

    matorodriguez Registered

    Joined:
    May 21, 2014
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Website Owner
    Hi! I'm trying to upgrade MySQL server from 5.5 to 5.6 using the WHM's upgrade module. The upgrade is available at the user interface, but is it really supported? When trying to upgrade from 5.5 to 5.6, I get:

    ...
    [20140517.191104] Installing new rpms: MySQL56-server-5.6.16-4.cp1142.x86_64.rpm
    [20140517.191104] Preparing packages for installation...
    [20140517.191104]
    [20140517.191104] ******************************************************************
    [20140517.191104] A MySQL server package (MySQL55-server-5.5.36-1.cp1136) is installed.
    [20140517.191104]
    [20140517.191104] Upgrading directly from MySQL 5.5 to MySQL 5.6 may not
    [20140517.191104] be safe in all cases. A manual dump and restore using mysqldump is
    [20140517.191104] recommended. It is important to review the MySQL manual's Upgrading
    [20140517.191104] section for version-specific incompatibilities.
    [20140517.191104]
    [20140517.191104] A manual upgrade is required.
    [20140517.191104]
    [20140517.191104] - Ensure that you have a complete, working backup of your data and my.cnf
    [20140517.191104] files
    [20140517.191104] - Shut down the MySQL server cleanly
    [20140517.191104] - Remove the existing MySQL packages. Usually this command will
    [20140517.191104] list the packages you should remove:
    [20140517.191104] rpm -qa | grep -i '^mysql-'
    [20140517.191104]
    [20140517.191104] You may choose to use 'rpm --nodeps -ev <package-name>' to remove
    [20140517.191104] the package which contains the mysqlclient shared library. The
    [20140517.191104] library will be reinstalled by the MySQL-shared-compat package.
    [20140517.191104] - Install the new MySQL packages supplied by Oracle and/or its affiliates
    [20140517.191104] - Ensure that the MySQL server is started
    [20140517.191104] - Run the 'mysql_upgrade' program
    [20140517.191104]
    [20140517.191104] This is a brief description of the upgrade process. Important details
    [20140517.191104] can be found in the MySQL manual, in the Upgrading section.
    [20140517.191104] ******************************************************************
    [20140517.191104] error: %pre(MySQL56-server-5.6.16-4.cp1142.x86_64) scriptlet failed, exit status 1
    [20140517.191104] error: install: %pre scriptlet failed (2), skipping MySQL56-server-5.6.16-4.cp1142
    [20140517.191104] W Error Code: 1
    [20140517.191104] E The following possible errors were detected while installing RPMs:
    [20140517.191104] E %pre(MySQL56-server-5.6.16-4.cp1142.x86_64) scriptlet failed, exit status 1 install
    [20140517.191104] The Administrator will be notified to review this output when this script completes
    [20140517.191104] Checking for and running RPM::Versions 'post' hooks for any RPMs just installed
    [20140517.191104] All required 'post' hooks have been run
    [20140517.191104] Re-enabling service monitoring.
    [20140517.191104] All files have been updated.
    [20140517.191104] E Detected events which require user notification during updatenow. Will send iContact the log

    Thanks in advance!
     
  2. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,762
    Likes Received:
    662
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
  3. matorodriguez

    matorodriguez Registered

    Joined:
    May 21, 2014
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Website Owner
    Hi! Thanks for your reply!

    Yes, I tried the same upgrade in the past.

    The output of:
    is:

    Thanks again!
     
  4. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,762
    Likes Received:
    662
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    Feel free to open a support ticket using the link in my signature so we can take a closer look. You can post the ticket number here so we can update this thread with the outcome.

    Thank you.
     
  5. matorodriguez

    matorodriguez Registered

    Joined:
    May 21, 2014
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Website Owner
    Thanks a lot! Ticket #: 5465179
     
  6. cPanelMichael

    cPanelMichael Forums Analyst
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    30,762
    Likes Received:
    662
    Trophy Points:
    113
    cPanel Access Level:
    Root Administrator
    To update, it was determined the MySQL upgrade initially failed due to a lack of memory on the VPS. Internal case number 115209 will ensure "performance-schema=0" is set during the upgrade process to MySQL 5.6 if the system has 1G or less of memory.

    Thank you.
     
  7. matorodriguez

    matorodriguez Registered

    Joined:
    May 21, 2014
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    cPanel Access Level:
    Website Owner
    Great work! Thanks a lot!
     
Loading...

Share This Page